public inbox for linux-btrfs@vger.kernel.org
 help / color / mirror / Atom feed
From: Marcos Paulo de Souza <marcos.souza.org@gmail.com>
To: unlisted-recipients:; (no To-header on input)
Cc: dsterba@suse.com, linux-btrfs@vger.kernel.org,
	Marcos Paulo de Souza <mpdesouza@suse.com>,
	wqu@suse.com
Subject: [btrfs-progs PATCH 1/4] tests: common: Add check_dm_target_support helper
Date: Tue, 17 Dec 2019 17:31:52 -0300	[thread overview]
Message-ID: <20191217203155.24206-2-marcos.souza.org@gmail.com> (raw)
In-Reply-To: <20191217203155.24206-1-marcos.souza.org@gmail.com>

From: Marcos Paulo de Souza <mpdesouza@suse.com>

This function will be used later to test if dm-thin is supported.
Inspired by fstests.

Suggested-by: Qu Wenruo <wqu@suse.com>
Signed-off-by: Marcos Paulo de Souza <mpdesouza@suse.com>
---
 tests/common | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/tests/common b/tests/common
index ca098444..f138b17e 100644
--- a/tests/common
+++ b/tests/common
@@ -322,6 +322,19 @@ check_global_prereq()
 	fi
 }
 
+# check if the targets passed as arguments are available, and if not just skip
+# the test
+check_dm_target_support()
+{
+	for target in "$@"; do
+		$SUDO_HELPER modprobe dm-$target >/dev/null 2>&1
+		$SUDO_HELPER dmsetup targets 2>&1 | grep -q ^$target
+		if [ $? -ne 0 ]; then
+			_not_run "This test requires dm $target support."
+		fi
+	done
+}
+
 check_image()
 {
 	local image
-- 
2.23.0


  reply	other threads:[~2019-12-17 20:30 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-17 20:31 [btrfs-progs PATCH 0/4] tests: do not fail if dm-thin is missing Marcos Paulo de Souza
2019-12-17 20:31 ` Marcos Paulo de Souza [this message]
2019-12-18  0:26   ` [btrfs-progs PATCH 1/4] tests: common: Add check_dm_target_support helper Qu Wenruo
2019-12-18 15:58     ` David Sterba
2019-12-18 16:05       ` Marcos Paulo de Souza
2019-12-17 20:31 ` [btrfs-progs PATCH 2/4] tests: mkfs: 017: Use " Marcos Paulo de Souza
2019-12-18  0:26   ` Qu Wenruo
2019-12-17 20:31 ` [btrfs-progs PATCH 3/4] tests: mkfs: 005: " Marcos Paulo de Souza
2019-12-18  0:27   ` Qu Wenruo
2019-12-17 20:31 ` [btrfs-progs PATCH 4/4] tests: Do not fail is dmsetup is missing Marcos Paulo de Souza
2019-12-18  0:30   ` Qu Wenruo
2019-12-18  0:44     ` Marcos Paulo de Souza
2019-12-18  0:48       ` Qu Wenruo
2019-12-18 16:03         ` David Sterba

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20191217203155.24206-2-marcos.souza.org@gmail.com \
    --to=marcos.souza.org@gmail.com \
    --cc=dsterba@suse.com \
    --cc=linux-btrfs@vger.kernel.org \
    --cc=mpdesouza@suse.com \
    --cc=wqu@suse.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox